function [ p ] = thirdOctaveFilter( signal, Fs )
%UNTITLED21 Summary of this function goes here
    [B,A] = oct3dsgn(31,Fs); 
for i=1:length(signal(:,1))
    p.third_31Hz(i,:)=filter(B,A,signal(i,:));
end 
    [B,A] = oct3dsgn(40,Fs); 
for i=1:length(signal(:,1))
    p.third_40Hz(i,:)=filter(B,A,signal(i,:));
end 
    [B,A] = oct3dsgn(50,Fs); 
for i=1:length(signal(:,1))
    p.third_50Hz(i,:)=filter(B,A,signal(i,:));
end 
    [B,A] = oct3dsgn(63,Fs); 
for i=1:length(signal(:,1))
    p.third_63Hz(i,:)=filter(B,A,signal(i,:));
end 
    [B,A] = oct3dsgn(80,Fs); 
for i=1:length(signal(:,1))
    p.third_80Hz(i,:)=filter(B,A,signal(i,:));
end 
    [B,A] = oct3dsgn(100,Fs); 
for i=1:length(signal(:,1))
    p.third_100Hz(i,:)=filter(B,A,signal(i,:));
end 
end

